org.apache.ignite.internal.visor.node

## Class VisorPersistenceMetrics

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.node.VisorPersistenceMetrics

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorPersistenceMetrics
    extends VisorDataTransferObject

DTO object for `DataStorageMetrics`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3`

### Constructor Summary

Constructors
Constructor and Description
`VisorPersistenceMetrics()` Default constructor.
`VisorPersistenceMetrics(DataStorageMetrics metrics)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getLastCheckpointCopiedOnWritePagesNumber()`
`long` `getLastCheckpointDataPagesNumber()`
`long` `getLastCheckpointFsyncDuration()`
`long` `getLastCheckpointingDuration()`
`long` `getLastCheckpointLockWaitDuration()`
`long` `getLastCheckpointMarkDuration()`
`long` `getLastCheckpointPagesWriteDuration()`
`long` `getLastCheckpointTotalPagesNumber()`
`int` `getWalArchiveSegments()`
`float` `getWalFsyncTimeAverage()`
`float` `getWalLoggingRate()`
`float` `getWalWritingRate()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorPersistenceMetrics

    public VisorPersistenceMetrics()

Default constructor.

#### VisorPersistenceMetrics

    public VisorPersistenceMetrics(DataStorageMetrics metrics)

Parameters:
  `metrics` - Persistence metrics.

### Method Detail

#### getWalLoggingRate

    public float getWalLoggingRate()

Returns:
  Average number of WAL records per second written during the last time interval.

#### getWalWritingRate

    public float getWalWritingRate()

Returns:
  Average number of bytes per second written during the last time interval.

#### getWalArchiveSegments

    public int getWalArchiveSegments()

Returns:
  Current number of WAL segments in the WAL archive.

#### getWalFsyncTimeAverage

    public float getWalFsyncTimeAverage()

Returns:
  Average WAL fsync duration in microseconds over the last time interval.

#### getLastCheckpointingDuration

    public long getLastCheckpointingDuration()

Returns:
  Total checkpoint duration in milliseconds.

#### getLastCheckpointLockWaitDuration

    public long getLastCheckpointLockWaitDuration()

Returns:
  Checkpoint lock wait time in milliseconds.

#### getLastCheckpointMarkDuration

    public long getLastCheckpointMarkDuration()

Returns:
  Checkpoint mark duration in milliseconds.

#### getLastCheckpointPagesWriteDuration

    public long getLastCheckpointPagesWriteDuration()

Returns:
  Checkpoint pages write phase in milliseconds.

#### getLastCheckpointFsyncDuration

    public long getLastCheckpointFsyncDuration()

Returns:
  Checkpoint fsync time in milliseconds.

#### getLastCheckpointTotalPagesNumber

    public long getLastCheckpointTotalPagesNumber()

Returns:
  Total number of pages written during the last checkpoint.

#### getLastCheckpointDataPagesNumber

    public long getLastCheckpointDataPagesNumber()

Returns:
  Total number of data pages written during the last checkpoint.

#### getLastCheckpointCopiedOnWritePagesNumber

    public long getLastCheckpointCopiedOnWritePagesNumber()

Returns:
  Total number of pages copied to a temporary checkpoint buffer during the last checkpoint.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018